package cn.newfeifan.mall.module.distri.controller.app.integral.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 推荐用户积分新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IntegralTransitionRespVO {
    @Schema(description = "当前积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "当前积分不能为空")
    private Long quota;

    @Schema(description = "积分类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "积分类型不能为空")
    private Integer integralType;

    @Schema(description = "支付密码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "支付密码")
    private String payPassword;
}
