package cn.newfeifan.mall.module.distri.service.integralchangelog;

import javax.validation.*;

import cn.newfeifan.mall.module.distri.controller.app.integralchangelog.vo.IntegralChangeLogPageReqVO;
import cn.newfeifan.mall.module.distri.controller.app.integralchangelog.vo.IntegralChangeLogRespVO;
import cn.newfeifan.mall.module.distri.controller.app.integralchangelog.vo.IntegralChangeLogSaveReqVO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

import java.util.List;

/**
 * 平台消费分变动记录 Service 接口
 *
 * @author 非繁人
 */
public interface IntegralChangeLogService {

    /**
     * 创建平台消费分变动记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIntegralChangeLog(@Valid IntegralChangeLogSaveReqVO createReqVO);

    /**
     * 批量创建平台消费分变动记录
     *
     * @param list 创建信息
     */
    void createIntegralChangeLogs(List<IntegralChangeLogSaveReqVO> list);

    /**
     * 获得平台消费分变动记录分页
     *
     * @param pageReqVO 分页查询
     * @return 平台消费分变动记录分页
     */
    PageResult<IntegralChangeLogRespVO> getConsumptionChangeLogPage(IntegralChangeLogPageReqVO pageReqVO);

}