package cn.newfeifan.mall.module.trade.controller.app.ordersettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "用户 APP - 订单结算表,记录有那些订单参与了本次结算新增/修改 Request VO")
@Data
public class AppOrderSettlementSaveReqVO {

    @Schema(description = "结算二级表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2527")
    private Long id;

    @Schema(description = "结算表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3362")
    @NotNull(message = "结算表ID不能为空")
    private Long tradeShopSettlementId;

    @Schema(description = "订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17253")
    @NotNull(message = "订单ID不能为空")
    private Long tradeOrderId;

}