package cn.newfeifan.mall.module.member.controller.app.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 会员用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "28922")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "手机号")
    @ExcelProperty("手机号")
    private String mobile;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("用户昵称")
    private String nickname;

    @Schema(description = "头像", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("头像")
    private String avatar;

    @Schema(description = "用户性别")
    @ExcelProperty("用户性别")
    private Integer sex;

    @Schema(description = "所在地", example = "14161")
    @ExcelProperty("所在地")
    private Long areaId;

    @Schema(description = "出生日期")
    @ExcelProperty("出生日期")
    private LocalDateTime birthday;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Integer point;

    @Schema(description = "用户标签编号列表，以逗号分隔")
    @ExcelProperty("用户标签编号列表，以逗号分隔")
    private String tagIds;

    @Schema(description = "等级编号", example = "11461")
    @ExcelProperty("等级编号")
    private Long levelId;

    @Schema(description = "经验", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("经验")
    private Integer experience;

    @Schema(description = "用户分组编号", example = "3306")
    @ExcelProperty("用户分组编号")
    private Long groupId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "关联系统用户ID", example = "23316")
    @ExcelProperty("关联系统用户ID")
    private Long systemUsersId;

    @Schema(description = "登录用的用户名", example = "张三")
    @ExcelProperty("登录用的用户名")
    private String username;

    @Schema(description = "电话号码国家前缀")
    @ExcelProperty("电话号码国家前缀")
    private String mobileCountryCode;

    @Schema(description = "电话号码国家名", example = "张三")
    @ExcelProperty("电话号码国家名")
    private String mobileCountryName;

}